Subject: Re: [PATCH v5 0/6] cat-file: add --batch-command remote-object-info command

From: Junio C Hamano <[email-masked]>
Date: Thu, 28 Jul 2022 16:56:16 -0700

Calvin Wan <[email-masked]> writes:

> Sometimes it is useful to get information about an object without having
> to download it completely. The server logic has already been implemented
> as “a2ba162cda (object-info: support for retrieving object info,
> 2021-04-20)”. This patch implements the client option for it.
>
> Add `--object-info` option to `cat-file --batch-command`. This option
> allows the client to make an object-info command request to a server
> that supports protocol v2. If the server is v2, but does not allow for
> the object-info command request, the entire object is fetched and the
> relevant object info is returned.

Thanks.  Since this has changed significantly enough to render
range-diff less useful, I think a fresh round of full review may be
needed.  I'll use a more recent tip of 'master' as the base when I
queue these patches.